Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationManagerStats

    java.lang.Object
      com.sleepycat.db.ReplicationManagerStats

    public class ReplicationManagerStats

extends Object

Replication Manager statistics for a database environment.

Method Summary
`long` | `getConnectFail()` The number of times new connection attempts have failed.
`long` | `getConnectionDrop()` The number of existing connections that have been dropped since the statistics were last reset.
`int` | `getElectThreads()` Number of currently active election threads.
`int` | `getMaxElectThreads()` Election threads for which space is reserved.
`long` | `getMsgsDropped()` The number of messages discarded due to queue length overflows.
`long` | `getMsgsQueued()` The number of messages queued due to a network delay.
`long` | `getPermFailed()` The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout.
`int` | `getSiteParticipants()` Number of replication group participant sites.
`int` | `getSiteTotal()` Total number of replication group sites.
`int` | `getSiteViews()` Number of replication group view sites.
`long` | `getTakeovers()` The number of automatic replication process takeovers.
`String` | `toString()` For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPermFailed

    public long getPermFailed()

  The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout.

### getMsgsQueued

    public long getMsgsQueued()

  The number of messages queued due to a network delay.

### getMsgsDropped

    public long getMsgsDropped()

  The number of messages discarded due to queue length overflows.

### getConnectionDrop

    public long getConnectionDrop()

  The number of existing connections that have been dropped since the statistics were last reset.

### getConnectFail

    public long getConnectFail()

  The number of times new connection attempts have failed.

### getElectThreads

    public int getElectThreads()

  Number of currently active election threads.

### getMaxElectThreads

    public int getMaxElectThreads()

  Election threads for which space is reserved.

### getSiteParticipants

    public int getSiteParticipants()

  Number of replication group participant sites.

### getSiteTotal

    public int getSiteTotal()

  Total number of replication group sites.

### getSiteViews

    public int getSiteViews()

  Number of replication group view sites.

### getTakeovers

    public long getTakeovers()

  The number of automatic replication process takeovers.

### toString

    public String toString()

  For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.